.TH "mca_ptl_base_send_request_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_base_send_request_t \- Base type for send requests.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_base_sendreq.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_pml_base_send_request_t\fP \fBreq_send\fP"
.br
.ti -1c
.RI "size_t \fBreq_offset\fP"
.br
.RI "\fInumber of bytes that have been scheduled \fP"
.ti -1c
.RI "size_t \fBreq_bytes_sent\fP"
.br
.RI "\fInumber of bytes that have been sent \fP"
.ti -1c
.RI "ompi_ptr_t \fBreq_peer_match\fP"
.br
.RI "\fImatched receive at peer \fP"
.ti -1c
.RI "ompi_ptr_t \fBreq_peer_addr\fP"
.br
.RI "\fIpeers remote buffer address \fP"
.ti -1c
.RI "uint64_t \fBreq_peer_size\fP"
.br
.RI "\fIsize of peers remote buffer \fP"
.ti -1c
.RI "bool \fBreq_cached\fP"
.br
.RI "\fIhas this request been obtained from the ptls cache \fP"
.ti -1c
.RI "volatile int32_t \fBreq_lock\fP"
.br
.RI "\fIlock used by the scheduler \fP"
.ti -1c
.RI "\fBmca_ptl_base_module_t\fP * \fBreq_ptl\fP"
.br
.RI "\fIptl allocated for first fragment \fP"
.ti -1c
.RI "\fBmca_ptl_base_peer_t\fP * \fBreq_peer\fP"
.br
.RI "\fIpeer associated w/ this ptl \fP"
.in -1c
.SH "Detailed Description"
.PP 
Base type for send requests. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
